Subject: Re: [payload] temporal scalability in draft-ietf-payload-vp8-09.txt

From: Bernard Aboba <[email-masked]>
Date: Thu, 5 Dec 2013 19:19:25 -0800

Section 1 states: 

   In summary, the payload format described in this document enables a

   number of features in VP8, including:

*        Temporal scalability.

However, Section 6 doesn't include information on format parameters or O/A
considerations relating to temporal scaling. 

It appears that VP8 transports all temporal layers in a single RTP session
utilizing a single SSRC (e.g. Single Session Transport), correct? 

Other than the max-fr parameter, is there anything that provides an
indication of the capabilities of the receiver?  Or is the encoder free to
utilize any configuration that fits within the max-fr parameter? 

For example, if the Offer includes max-fr=60, does that mean that the
receiver is prepared to handle any of the following? 

a.       T0 = 60 fps (no temporal scalability)

b.      T0 = 15 fps, T1 = 15 fps, T2=30 fps

c.       T0 = 7.5 fps, T1 = 7.5 fps, T2 = 15 fps, T3 = 30 fps